Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 211737 - Show notification about available updates immediately when activating any feature
Show notification about available updates immediately when activating any fea...
Status: VERIFIED FIXED
Product: ide
Classification: Unclassified
Component: Features On Demand
7.2
All All
: P3 (vote)
: 7.2
Assigned To: Jaroslav Tulach
issues@performance
: API
Depends on: 212218
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 19:55 UTC by Jiri Rechtacek
Modified: 2012-06-20 09:21 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Rechtacek 2012-04-25 19:55:00 UTC
When turning on a feature on given entry point, ergonomics will check for updates of newly activated modules in the cached catalog. If any, pushes AU to notify it in an balloon about available updates in the status bar.
Comment 1 Jiri Rechtacek 2012-05-09 22:24:53 UTC
Proposed a new service provider (see issue 211796) which could be useful for this case as well. There would be a method CheckForUpdatesProvider.notifyAvailableUpdates(boolean reload) what can be invoked with false parameter here.
Comment 2 Jiri Rechtacek 2012-05-16 14:20:24 UTC
core-main/rev/b47ca8b1b162 on autoupdate_211777 branch
Comment 3 Quality Engineering 2012-05-17 15:41:08 UTC
Integrated into 'main-golden', will be available in build *201205170950* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/b47ca8b1b162
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #211737: Show notification about available updates immediately when activating any feature
Comment 4 Jaroslav Tulach 2012-05-22 16:27:40 UTC
OK, thanks.
Comment 5 Tomas Danek 2012-06-20 09:21:29 UTC
Verified in 
Product Version: NetBeans IDE Dev (Build 201206200001)
Java: 1.7.0_04; Java HotSpot(TM) 64-Bit Server VM 23.0-b21
System: Mac OS X version 10.7.4 running on x86_64; US-ASCII; en_US (nb)
User directory: /Users/tomas/Library/Application Support/NetBeans/dev
Cache directory: /Users/tomas/Library/Caches/NetBeans/dev


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo